# Week 1.1 README

*[CEGM1000 MUDE](http://mude.citg.tudelft.nl/2024): Week 1.1, 2024.*

_Files for this workshop are available for download via the GitLab repository: [`gitlab.tudelft.nl/mude/2024-week-1-1`](https://gitlab.tudelft.nl/mude/2024-week-1-1) (click blue "Code" button, then download this repository as "zip"; unzip the files in your **working directory**)._

This GitLab repository contains files needed for Week 1.1 activities (Friday's Group Assignment are separate). It includes:
- this `README.md` overview
- a Markdown file for Workshop 1.1, `WS_1_1_Warming_Up.md`
- a file `environment.yml` to create your first MUDE `conda` environment (part of WS 1.1)
- a Jupyter notebook for Programming Assignment 1.1, `PA_1_1_Catch_Them_All.ipynb`
- a Python file `catchme.py` (part of PA 1.1)

Note that typically the Programming Assignment files, `PA_*.ipynb`, will be shared earlier in the week and completed at home. However, since the first week is short, PA 1.1 is short enough to be done during the Wednesday in-class session.

The objectives of this assignment are to:
- confirm that your Python and `conda` installation is ready
- get acquainted with the files system on your computer and set up working directories
- confirm that you can run Jupyter notebooks in VS Code
- learn about Python dictionaries

The material in these assignments is based on the reading in the [Programming Chapters](https://mude.citg.tudelft.nl/2024/book/programming/week_1_1.html) of the textbook for Week 1.1.

## Instructions

Before working with the files in this repository, you should:

1. Read through the textbook material for this week.
2. Install Miniconda and VS Code on your computer (use the instructions in the book).

If you are reading this file on your computer, you will notice that there is quite a lot of _markup_ on the text, whereas viewing this file on GitLab looks much nicer. To view the _markup_ on your computer, install the VS Code extension "Markdown All-in-one" (as described [here in the book](https://mude.citg.tudelft.nl/2024/book/external/learn-programming/book/install/ide/vsc/extensions.html)). You can then use `CTRL+SHIFT+V` to view the formatted version of the file.

Once this is completed, you are ready to begin the workshop by following the instructions in `WS_1_1_Getting_Started.md`.

**End of file.**

<span style="font-size: 75%">
&copy; Copyright 2024 <a rel="MUDE" href="http://mude.citg.tudelft.nl/">MUDE</a>, TU Delft. This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">CC BY 4.0 License</a>.